summaryrefslogtreecommitdiffstats
path: root/jjb/releng
diff options
context:
space:
mode:
authorSerenaFeng <feng.xiaowei@zte.com.cn>2017-10-11 15:32:07 +0800
committerSerenaFeng <feng.xiaowei@zte.com.cn>2017-10-11 15:35:49 +0800
commitf634b91b24b10901c9006ceb6ea9c39dab9ab11a (patch)
treebec7a26c575050b623dc0a3f01e2667864576a97 /jjb/releng
parentf6255c45367f39533b589a91ca351ad0bcfd0ac9 (diff)
put htmlize directory under jjb/releng
centralize jjb related scripts Change-Id: I4abeb06f17b48b8e7ac15803db0f3ce7eb0c1b93 Signed-off-by: SerenaFeng <feng.xiaowei@zte.com.cn>
Diffstat (limited to 'jjb/releng')
-rw-r--r--jjb/releng/automate.yml4
-rw-r--r--jjb/releng/htmlize/doc-build.sh21
-rw-r--r--jjb/releng/htmlize/htmlize.py57
-rw-r--r--jjb/releng/htmlize/push-doc-artifact.sh27
4 files changed, 107 insertions, 2 deletions
diff --git a/jjb/releng/automate.yml b/jjb/releng/automate.yml
index c7e34b20c..de7fcd6c0 100644
--- a/jjb/releng/automate.yml
+++ b/jjb/releng/automate.yml
@@ -221,13 +221,13 @@
name: 'testapi-doc-build'
builders:
- shell: |
- bash ./utils/test/testapi/htmlize/doc-build.sh
+ bash ./jjb/releng/htmlize/doc-build.sh
- builder:
name: 'upload-doc-artifact'
builders:
- shell: |
- bash ./utils/test/testapi/htmlize/push-doc-artifact.sh
+ bash ./jjb/releng/htmlize/push-doc-artifact.sh
- builder:
name: 'reporting-automate-generate-doc-macro'
diff --git a/jjb/releng/htmlize/doc-build.sh b/jjb/releng/htmlize/doc-build.sh
new file mode 100644
index 000000000..33560ceea
--- /dev/null
+++ b/jjb/releng/htmlize/doc-build.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+set -o errexit
+
+# Create virtual environment
+virtualenv $WORKSPACE/testapi_venv
+source $WORKSPACE/testapi_venv/bin/activate
+
+# Swgger Codegen Tool
+url="http://repo1.maven.org/maven2/io/swagger/swagger-codegen-cli/2.2.1/swagger-codegen-cli-2.2.1.jar"
+
+# Check for jar file locally and in the repo
+if [ ! -f swagger-codegen-cli.jar ];
+then
+ wget http://repo1.maven.org/maven2/io/swagger/swagger-codegen-cli/2.2.1/swagger-codegen-cli-2.2.1.jar -O swagger-codegen-cli.jar
+fi
+
+# Install Pre-requistics
+pip install requests
+
+python ./utils/test/testapi/htmlize/htmlize.py -o ${WORKSPACE}/
diff --git a/jjb/releng/htmlize/htmlize.py b/jjb/releng/htmlize/htmlize.py
new file mode 100644
index 000000000..da6a6cf91
--- /dev/null
+++ b/jjb/releng/htmlize/htmlize.py
@@ -0,0 +1,57 @@
+#!/usr/bin/env python
+
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+
+import argparse
+import requests
+import json
+import os
+
+
+def main(args):
+
+ # Merging two specs
+ api_response = requests.get(args.api_declaration_url)
+ api_response = json.loads(api_response.content)
+ resource_response = requests.get(args.resource_listing_url)
+ resource_response = json.loads(resource_response.content)
+ resource_response['models'] = api_response['models']
+ resource_response['apis'] = api_response['apis']
+
+ # Storing the swagger specs
+ with open('specs.json', 'w') as outfile:
+ json.dump(resource_response, outfile)
+
+ # Generating html page
+ cmd = 'java -jar swagger-codegen-cli.jar generate \
+ -i specs.json -l html2 -o %s' % (args.output_directory)
+ if os.system(cmd) == 0:
+ exit(0)
+ else:
+ exit(1)
+
+
+if __name__ == '__main__':
+ parser = argparse.ArgumentParser(description='Create \
+ Swagger Spec documentation')
+ parser.add_argument('-ru', '--resource-listing-url',
+ type=str,
+ required=False,
+ default=('http://testresults.opnfv.org'
+ '/test/swagger/resources.json'),
+ help='Resource Listing Spec File')
+ parser.add_argument('-au', '--api-declaration-url',
+ type=str,
+ required=False,
+ default=('http://testresults.opnfv.org'
+ '/test/swagger/APIs'),
+ help='API Declaration Spec File')
+ parser.add_argument('-o', '--output-directory',
+ required=True,
+ default='./',
+ help='Output Directory where the \
+ file should be stored')
+ main(parser.parse_args())
diff --git a/jjb/releng/htmlize/push-doc-artifact.sh b/jjb/releng/htmlize/push-doc-artifact.sh
new file mode 100644
index 000000000..4cf1988b0
--- /dev/null
+++ b/jjb/releng/htmlize/push-doc-artifact.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+set -e
+set -o pipefail
+
+export PATH=$PATH:/usr/local/bin/
+
+project=$PROJECT
+workspace=$WORKSPACE
+artifact_dir="$project/docs"
+
+set +e
+gsutil&>/dev/null
+if [ $? != 0 ]; then
+ echo "Not possible to push results to artifact: gsutil not installed"
+ exit 1
+else
+ gsutil ls gs://artifacts.opnfv.org/"$project"/ &>/dev/null
+ if [ $? != 0 ]; then
+ echo "Not possible to push results to artifact: gsutil not installed."
+ exit 1
+ else
+ echo "Uploading document to artifact $artifact_dir"
+ gsutil cp "$workspace"/index.html gs://artifacts.opnfv.org/"$artifact_dir"/testapi.html >/dev/null 2>&1
+ echo "Document can be found at http://artifacts.opnfv.org/releng/docs/testapi.html"
+ fi
+fi